BATCH - Support #22598

Update mindata crontab entries for post data taking

05/16/2019 04:20 PM - Arthur Kreymer

Status: Closed Start date: 05/16/2019
Priority: Normal Due date: 11/01/2020
Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 10.00 hours
Target version: Spent time: 5.95 hours
Description
Minos data taking stopped on May 3, 2019.
Update the mindata account crontab entries as appropriate.
Related issues:
Copied from BATCH - Support #22582: remove minospro crontab entries Closed 05/11/2019 05/17/2019
History
#1 - 05/16/2019 04:20 PM - Arthur Kreymer
- Copied from Support #22582: remove minospro crontab entries added
#2 - 05/16/2019 04:26 PM - Arthur Kreymer
- Estimated time changed from 5.00 h to 10.00 h
- % Done changed from 100 to 20
On 05/15 minos-data, | removed obsolete entries running or starting
bluegrid - summarized grid access to /minos/data, no longer in use
lockclean - cleaned up stale cpn locks, no longer in use
acc_log - recorded beam intensities and temperatures each supercycle. Moot now.
beamdbu - beam files are no longer being produced
predator - declared new raw data files to SAM.
Updated and committed admin/crontab/minos-data.mindata in CVS.
We need to review mindata crontabs on other Minos hosts.
#3 - 05/21/2019 08:58 AM - Arthur Kreymer
- % Done changed from 20 to 30
crontab -1 | grep -v *#
minos60
BEAMDATA
minos61l
all comments
minos62 - NA
minos63 -
make_monthly_cf_tarfile.sh
minos—-nearline
DataValidation
Dam
om
bfield plots
beammonspill plots
archiver
minos-data
many things
#4 - 07/09/2019 04:11 PM - Arthur Kreymer
- % Done changed from 30 to 40
- Due date changed from 05/24/2019 to 08/13/2019

| have disabled the mindata@minos_nearline crontab entry.

It had entries related to data taking,
which ended months ago for Minerva and years ago for Minos

Entries were related to
Data Validation
DQM
OM
Beam archives
Beam plots
Bfield plots

#5 - 05/14/2020 06:34 PM - Arthur Kreymer

| reviewed the crontab on minos-data,
preparing to shift things to the SLF7 host minostestgpvm1.

Using crontab -l | grep -v M#
| find the following actions being taken :
The path is ${HOME}/ unless otherwise noted

cfl

masum_log

mdsum_log

/grid/fermiapp/minos/scripts/farmgsum_log quiet

pnfs_log

dcftp_log

topdb_log minos-db1

topdb_log mariadb-dev1

topdb_log mariadb-dev2

topdb_log mariadb-dev3

topdb_log mariadb-prd1

topdb_log mariadb-prd2

topdb_log mariadb-prd3

rm /minos/app/users/BEAMDATA_CF/.*.minosdatagpvm01.fnal.gov.running-instance
/minos/app/home/mindata/.bdcfcron.running-instance.*.minosdatagpvmO01*

These are all scripts which should run the same on SLF7.
I needed to copy mysqgl information over from /opt/mindata

| will check these out manually, then move the crontab.
#6 - 06/05/2020 10:34 AM - Arthur Kreymer

- % Done changed from 40 to 90
- Due date changed from 08/13/2019 to 11/01/2020

On May 25,
the remaining crontab entries were removed on all Minos servers,
except for minos-nearline, where a procrum monitoring script runs preparing for shutdown.

The crontab entry was removed on host minos-data,
and was activated on the SL7 system minostestgpvmO01.

The crontab area was updated in CVS.

#7 - 08/06/2020 07:23 AM - Arthur Kreymer
- % Done changed from 90 to 100

- Status changed from Work in progress to Resolved

On 2020/07/20, mindata crontabs were reactivated on minos-data and stopped on minostestgpvmO1

This was after the SL7 reinstall of minos-data on 2020/07/15 and expanded products 07/20.
#8 - 09/08/2020 03:33 PM - Arthur Kreymer

- Status changed from Resolved to Closed
